#effects
effect give @a saturation 1000000 10 true
effect give @a resistance 1000000 100 true
effect give @e[type=horse] resistance 1000000 100 true
execute if score game stats matches 1 run effect give @a weakness 2 100 true

#effects on horse if someone tries to cheat by jumping to get head start
execute as @e[type=horse] at @s if block ~ ~-0.5 ~ black_wool if score countdown stats matches 1.. run effect give @s slowness 6 101 true
execute as @e[type=horse] at @s if block ~ ~-0.5 ~ white_wool if score countdown stats matches 1.. run effect give @s slowness 6 101 true

#players
scoreboard players add @a join 0
execute as @a[scores={join=0}] at @s run function sette:join

execute as @a store result score playerCount stats if entity @a[gamemode=!spectator]

#start loop
function sette:start/loop

#mechanic loop
execute if score game stats matches 1 run function sette:mechanic/loop

#kill dumb items
kill @e[type=item,nbt={Item:{id:"minecraft:diamond_horse_armor",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:golden_horse_armor",Count:1b}}]
kill @e[type=item,nbt={Item:{id:"minecraft:leather_horse_armor",Count:1b}}]

kill @e[type=item,nbt={Item:{id:"minecraft:saddle",Count:1b}}]



#timer
execute if score game stats matches 1 unless score countdown stats matches 1.. run function sette:mechanic/timer

#kill horse and chicken
execute as @e[type=horse,tag=dead] at @s run tp @s ~ ~-100 ~
execute as @e[type=horse,tag=dead] at @s run kill @s
execute as @e[type=chicken,tag=dead] at @s run tp @s ~ ~-100 ~
execute as @e[type=chicken,tag=dead] at @s run kill @s
tag @e[type=chicken] add dead
execute if entity @e[type=horse,tag=horse] unless score game stats matches 1 run tag @e[type=horse,tag=horse] add dead

#end game
execute unless score ending stats matches 1.. if score game stats matches 1 unless entity @a[gamemode=!spectator] run tellraw @a ["","\n",{"text":"The race has ended!","color":"gold"},"\n"]
execute unless score ending stats matches 1.. if score game stats matches 1 unless entity @a[gamemode=!spectator] as @a at @s run playsound entity.wither.spawn master @s ~ ~ ~ 10 1
execute unless score ending stats matches 1.. if score game stats matches 1 unless entity @a[gamemode=!spectator] run scoreboard players set ending stats 100
execute if score ending stats matches 1 run function sette:end/end
execute if score ending stats matches 1.. run scoreboard players remove ending stats 1

#cheesy horse saddle loss fix
execute if score game stats matches 1 if score luckyblock stats matches 2 run item replace entity @e[type=horse] horse.saddle with saddle 1